/***************************************************************************
 *   Copyright (C) 2007 - 2009 by Andreas Theofilu                         *
 *   andreas@theosys.at                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/*
 * Ported to KDE4 on Jul. 8 2009 by Andreas Theofilu.
 */
#include "config.h"
#include "sportwatcher.h"
#include <KApplication>
#include <KAboutData>
#include <kcmdlineargs.h>
#include <KLocale>
#include <k3mimesourcefactory.h>
#include <kstandarddirs.h>
#include <KIconLoader>
#include <stdlib.h>

// #include <iostream.h>
extern KApplication *mapp;
KApplication *mapp;

static const char description[] =
    I18N_NOOP("Reading out the Garmin Forerunner over USB port.");

static const char version[] = VERSION;

int main(int argc, char *argv[])
{
#ifdef HAVE_GDAL
    /*
     * To make sure, we can draw a map, especialy if we use a WMS-server,
     * we must make sure, that the environment variable LC_NUMERIC is set
     * to C. Otherwise some functions may translate numbers into a localized
     * version, who may not work.
     * This is a known error of GDAL 1.5. Hopefully this is corrected with
     * GDAL 1.6, to have numbers in the application shown correct.
     */
    if (setenv ("LC_NUMERIC", "C", 1) == -1)
       fprintf (stderr, "Error setting the environment variable \"LC_NUMERIC\"!");
#endif
    KAboutData about("sportwatcher", 0, ki18n("SportWatcher"), version, ki18n(description),
                     KAboutData::License_GPL_V3, ki18n("(C) 2007 - 2009 Andreas Theofilu"),
                     KLocalizedString(), "http://www.theosys.at", "andreas@theosys.at");
    about.addAuthor( ki18n("Andreas Theofilu"), ki18n("Maintainer, Project Management, Developer"), "andreas@theosys.at" );
    about.addCredit( ki18n("Dave Bailey"), KLocalizedString(), "dave@daveb.net");
    about.setTranslator (ki18n("Andreas Theofilu"), ki18n("andreas@theosys.at"));

    KCmdLineArgs::init(argc, argv, &about);

    KApplication app;
    sportwatcher *mainWin = new sportwatcher;
    mainWin->show();

    mapp = &app;
    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

